org.apache.lucene.search.spans

## Class SpanContainingQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.spans.SpanQuery
    - - org.apache.lucene.search.spans.SpanContainingQuery

All Implemented Interfaces:
  Cloneable

    public final class SpanContainingQuery
    extends SpanQuery

Keep matches that contain another SpanScorer.

### Nested Class Summary

Nested Classes
`class` `SpanContainingQuery.SpanContainingWeight`

### Constructor Summary

Constructors
Constructor and Description
`SpanContainingQuery(SpanQuery big, SpanQuery little)` Construct a SpanContainingQuery matching spans from `big` that contain at least one spans from `little`.

### Method Summary

All Methods Instance Methods Concrete Methods
`SpanWeight` `createWeight(IndexSearcher searcher, boolean needsScores, float boost)` Expert: Constructs an appropriate Weight implementation for this query.
`boolean` `equals(Object other)` Override and implement query instance equivalence properly in a subclass.
`SpanQuery` `getBig()`
`String` `getField()` Returns the name of the field matched by this query.
`SpanQuery` `getLittle()`
`int` `hashCode()` Override and implement query hash code properly in a subclass.
`Query` `rewrite(IndexReader reader)` Expert: called to re-write queries into primitive queries.
`String` `toString(String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

### Methods inherited from class org.apache.lucene.search.spans.SpanQuery

`getTermContexts, getTermContexts`

### Methods inherited from class org.apache.lucene.search.Query

`classHash, sameClassAs, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SpanContainingQuery

    public SpanContainingQuery(SpanQuery big,
                               SpanQuery little)

Construct a SpanContainingQuery matching spans from `big` that contain at least one spans from `little`. This query has the boost of `big`. `big` and `little` must be in the same field.

### Method Detail

#### toString

    public String toString(String field)

Description copied from class: `Query`
Prints a query to a string, with `field` assumed to be the default field and omitted.

Specified by:
  `toString` in class `Query`

#### createWeight

    public SpanWeight createWeight(IndexSearcher searcher,
                                   boolean needsScores,
                                   float boost)
                            throws IOException

Description copied from class: `Query`
Expert: Constructs an appropriate Weight implementation for this query.

Only implemented by primitive queries, which re-write to themselves.

Specified by:
  `createWeight` in class `SpanQuery`
  `needsScores` - True if document scores (`Scorer.score()`) are needed.
  `boost` - The boost that is propagated by the parent queries.
Throws:
  `IOException`

#### getField

    public String getField()

Description copied from class: `SpanQuery`
Returns the name of the field matched by this query.

Specified by:
  `getField` in class `SpanQuery`

#### getBig

    public SpanQuery getBig()

#### getLittle

    public SpanQuery getLittle()

#### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

Description copied from class: `Query`
Expert: called to re-write queries into primitive queries. For example, a PrefixQuery will be rewritten into a BooleanQuery that consists of TermQuerys.

Overrides:
  `rewrite` in class `Query`
Throws:
  `IOException`

#### equals

    public boolean equals(Object other)

Description copied from class: `Query`
Override and implement query instance equivalence properly in a subclass. This is required so that `QueryCache` works properly. Typically a query will be equal to another only if it's an instance of the same class and its document-filtering properties are identical that other instance. Utility methods are provided for certain repetitive code.

Specified by:
  `equals` in class `Query`
See Also:
  `Query.sameClassAs(Object)`, `Query.classHash()`

#### hashCode

    public int hashCode()

Description copied from class: `Query`
Override and implement query hash code properly in a subclass. This is required so that `QueryCache` works properly.

Specified by:
  `hashCode` in class `Query`
See Also:
  `Query.equals(Object)`